Index: django/test/simple.py
===================================================================
--- django/test/simple.py	(révision 13062)
+++ django/test/simple.py	(copie de travail)
@@ -185,14 +185,6 @@
     # Construct a suite out of the tests that matched.
     return unittest.TestSuite(tests)
 
-# Python 2.3 compatibility: TestSuites were made iterable in 2.4.
-# We need to iterate over them, so we add the missing method when
-# necessary.
-try:
-    getattr(unittest.TestSuite, '__iter__')
-except AttributeError:
-    setattr(unittest.TestSuite, '__iter__', lambda s: iter(s._tests))
-
 def partition_suite(suite, classes, bins):
     """
     Partitions a test suite by test type.
Index: django/db/models/options.py
===================================================================
--- django/db/models/options.py	(révision 13062)
+++ django/db/models/options.py	(copie de travail)
@@ -1,9 +1,5 @@
 import re
 from bisect import bisect
-try:
-    set
-except NameError:
-    from sets import Set as set     # Python 2.3 fallback
 
 from django.conf import settings
 from django.db.models.related import RelatedObject
Index: django/db/models/fields/__init__.py
===================================================================
--- django/db/models/fields/__init__.py	(révision 13062)
+++ django/db/models/fields/__init__.py	(copie de travail)
@@ -3,6 +3,7 @@
 import re
 import time
 import math
+from itertools import tee
 
 import django.utils.copycompat as copy
 
@@ -14,7 +15,6 @@
 from django.core import exceptions, validators
 from django.utils.datastructures import DictWrapper
 from django.utils.functional import curry
-from django.utils.itercompat import tee
 from django.utils.text import capfirst
 from django.utils.translation import ugettext_lazy as _
 from django.utils.encoding import smart_unicode, force_unicode, smart_str
Index: django/db/backends/sqlite3/base.py
===================================================================
--- django/db/backends/sqlite3/base.py	(révision 13062)
+++ django/db/backends/sqlite3/base.py	(copie de travail)
@@ -1,7 +1,7 @@
 """
 SQLite3 backend for django.
 
-Python 2.3 and 2.4 require pysqlite2 (http://pysqlite.org/).
+Python 2.4 requires pysqlite2 (http://pysqlite.org/).
 
 Python 2.5 and later can use a pysqlite2 module or the sqlite3 module in the
 standard library.
Index: django/db/backends/util.py
===================================================================
--- django/db/backends/util.py	(révision 13062)
+++ django/db/backends/util.py	(copie de travail)
@@ -1,13 +1,9 @@
 import datetime
+import decimal
 from time import time
 
 from django.utils.hashcompat import md5_constructor
 
-try:
-    import decimal
-except ImportError:
-    from django.utils import _decimal as decimal    # for Python 2.3
-
 class CursorDebugWrapper(object):
     def __init__(self, cursor, db):
         self.cursor = cursor
Index: django/db/backends/oracle/base.py
===================================================================
--- django/db/backends/oracle/base.py	(révision 13062)
+++ django/db/backends/oracle/base.py	(copie de travail)
@@ -9,10 +9,7 @@
 import os
 import sys
 import time
-try:
-    from decimal import Decimal
-except ImportError:
-    from django.utils._decimal import Decimal
+from decimal import Decimal
 
 # Oracle takes client-side character set encoding from the environment.
 os.environ['NLS_LANG'] = '.UTF8'
Index: django/db/backends/creation.py
===================================================================
--- django/db/backends/creation.py	(révision 13062)
+++ django/db/backends/creation.py	(copie de travail)
@@ -1,10 +1,5 @@
 import sys
 import time
-try:
-    set
-except NameError:
-    # Python 2.3 compat
-    from sets import Set as set
 
 from django.conf import settings
 from django.core.management import call_command
Index: django/db/transaction.py
===================================================================
--- django/db/transaction.py	(révision 13062)
+++ django/db/transaction.py	(copie de travail)
@@ -19,7 +19,7 @@
 try:
     from functools import wraps
 except ImportError:
-    from django.utils.functional import wraps  # Python 2.3, 2.4 fallback.
+    from django.utils.functional import wraps  # Python 2.4 fallback.
 from django.db import connections, DEFAULT_DB_ALIAS
 from django.conf import settings
 
Index: django/forms/models.py
===================================================================
--- django/forms/models.py	(révision 13062)
+++ django/forms/models.py	(copie de travail)
@@ -18,11 +18,6 @@
 from widgets import media_property
 from formsets import BaseFormSet, formset_factory, DELETION_FIELD_NAME
 
-try:
-    set
-except NameError:
-    from sets import Set as set     # Python 2.3 fallback
-
 __all__ = (
     'ModelForm', 'BaseModelForm', 'model_to_dict', 'fields_for_model',
     'save_instance', 'form_for_fields', 'ModelChoiceField',
Index: django/core/serializers/json.py
===================================================================
--- django/core/serializers/json.py	(révision 13062)
+++ django/core/serializers/json.py	(copie de travail)
@@ -3,6 +3,7 @@
 """
 
 import datetime
+import decimal
 from StringIO import StringIO
 
 from django.core.serializers.python import Serializer as PythonSerializer
@@ -10,11 +11,6 @@
 from django.utils import datetime_safe
 from django.utils import simplejson
 
-try:
-    import decimal
-except ImportError:
-    from django.utils import _decimal as decimal    # Python 2.3 fallback
-
 class Serializer(PythonSerializer):
     """
     Convert a queryset to JSON.
Index: django/core/urlresolvers.py
===================================================================
--- django/core/urlresolvers.py	(révision 13062)
+++ django/core/urlresolvers.py	(copie de travail)
@@ -19,12 +19,6 @@
 from django.utils.regex_helper import normalize
 from django.utils.thread_support import currentThread
 
-try:
-    reversed
-except NameError:
-    from django.utils.itercompat import reversed     # Python 2.3 fallback
-    from sets import Set as set
-
 _resolver_cache = {} # Maps URLconf modules to RegexURLResolver instances.
 _callable_cache = {} # Maps view and url pattern names to their view functions.
 
Index: django/core/cache/backends/locmem.py
===================================================================
--- django/core/cache/backends/locmem.py	(révision 13062)
+++ django/core/cache/backends/locmem.py	(copie de travail)
@@ -77,7 +77,7 @@
 
     def set(self, key, value, timeout=None):
         self._lock.writer_enters()
-        # Python 2.3 and 2.4 don't allow combined try-except-finally blocks.
+        # Python 2.4 doesn't allow combined try-except-finally blocks.
         try:
             try:
                 self._set(key, pickle.dumps(value), timeout)
Index: django/core/management/base.py
===================================================================
--- django/core/management/base.py	(révision 13062)
+++ django/core/management/base.py	(copie de travail)
@@ -13,11 +13,6 @@
 from django.core.management.color import color_style
 from django.utils.encoding import smart_str
 
-try:
-    set
-except NameError:
-    from sets import Set as set     # For Python 2.3
-
 class CommandError(Exception):
     """
     Exception class indicating a problem while executing a management
Index: django/core/management/sql.py
===================================================================
--- django/core/management/sql.py	(révision 13062)
+++ django/core/management/sql.py	(copie de travail)
@@ -9,11 +9,6 @@
 from django.db.models import get_models
 from django.db.backends.util import truncate_name
 
-try:
-    set
-except NameError:
-    from sets import Set as set   # Python 2.3 fallback
-
 def sql_create(app, style, connection):
     "Returns a list of the CREATE TABLE SQL statements for the given app."
 
Index: django/views/decorators/csrf.py
===================================================================
--- django/views/decorators/csrf.py	(révision 13062)
+++ django/views/decorators/csrf.py	(copie de travail)
@@ -4,7 +4,7 @@
 try:
     from functools import wraps
 except ImportError:
-    from django.utils.functional import wraps  # Python 2.3, 2.4 fallback.
+    from django.utils.functional import wraps  # Python 2.4 fallback.
 
 csrf_protect = decorator_from_middleware(CsrfViewMiddleware)
 csrf_protect.__name__ = "csrf_protect"
Index: django/views/decorators/http.py
===================================================================
--- django/views/decorators/http.py	(révision 13062)
+++ django/views/decorators/http.py	(copie de travail)
@@ -5,7 +5,7 @@
 try:
     from functools import wraps
 except ImportError:
-    from django.utils.functional import wraps  # Python 2.3, 2.4 fallback.
+    from django.utils.functional import wraps  # Python 2.4 fallback.
 
 from calendar import timegm
 from datetime import timedelta
Index: django/views/decorators/vary.py
===================================================================
--- django/views/decorators/vary.py	(révision 13062)
+++ django/views/decorators/vary.py	(copie de travail)
@@ -1,7 +1,7 @@
 try:
     from functools import wraps
 except ImportError:
-    from django.utils.functional import wraps  # Python 2.3, 2.4 fallback.
+    from django.utils.functional import wraps  # Python 2.4 fallback.
 
 from django.utils.cache import patch_vary_headers
 from django.utils.decorators import available_attrs
Index: django/views/decorators/cache.py
===================================================================
--- django/views/decorators/cache.py	(révision 13062)
+++ django/views/decorators/cache.py	(copie de travail)
@@ -14,7 +14,7 @@
 try:
     from functools import wraps
 except ImportError:
-    from django.utils.functional import wraps  # Python 2.3, 2.4 fallback.
+    from django.utils.functional import wraps  # Python 2.4 fallback.
 
 from django.utils.decorators import decorator_from_middleware_with_args, available_attrs
 from django.utils.cache import patch_cache_control, add_never_cache_headers
Index: django/dispatch/dispatcher.py
===================================================================
--- django/dispatch/dispatcher.py	(révision 13062)
+++ django/dispatch/dispatcher.py	(copie de travail)
@@ -1,8 +1,4 @@
 import weakref
-try:
-    set
-except NameError:
-    from sets import Set as set # Python 2.3 fallback
 
 from django.dispatch import saferef
 
Index: django/utils/functional.py
===================================================================
--- django/utils/functional.py	(révision 13062)
+++ django/utils/functional.py	(copie de travail)
@@ -60,9 +60,6 @@
 # Summary of changes made to the Python 2.5 code below:
 #   * swapped ``partial`` for ``curry`` to maintain backwards-compatibility
 #     in Django.
-#   * Wrapped the ``setattr`` call in ``update_wrapper`` with a try-except
-#     block to make it compatible with Python 2.3, which doesn't allow
-#     assigning to ``__name__``.
 
 # Copyright (c) 2001, 2002, 2003, 2004, 2005, 2006, 2007 Python Software Foundation.
 # All Rights Reserved.
@@ -90,10 +87,7 @@
        function (defaults to functools.WRAPPER_UPDATES)
     """
     for attr in assigned:
-        try:
-            setattr(wrapper, attr, getattr(wrapped, attr))
-        except TypeError: # Python 2.3 doesn't allow assigning to __name__.
-            pass
+        setattr(wrapper, attr, getattr(wrapped, attr))
     for attr in updated:
         getattr(wrapper, attr).update(getattr(wrapped, attr))
     # Return the wrapper so this can be used as a decorator via curry()
Index: django/utils/decorators.py
===================================================================
--- django/utils/decorators.py	(révision 13062)
+++ django/utils/decorators.py	(copie de travail)
@@ -4,7 +4,7 @@
 try:
     from functools import wraps, update_wrapper, WRAPPER_ASSIGNMENTS
 except ImportError:
-    from django.utils.functional import wraps, update_wrapper, WRAPPER_ASSIGNMENTS  # Python 2.3, 2.4 fallback.
+    from django.utils.functional import wraps, update_wrapper, WRAPPER_ASSIGNMENTS  # Python 2.4 fallback.
 
 
 def method_decorator(decorator):
Index: django/utils/itercompat.py
===================================================================
--- django/utils/itercompat.py	(révision 13062)
+++ django/utils/itercompat.py	(copie de travail)
@@ -6,45 +6,7 @@
 
 import itertools
 
-def compat_tee(iterable):
-    """
-    Return two independent iterators from a single iterable.
-
-    Based on http://www.python.org/doc/2.3.5/lib/itertools-example.html
-    """
-    # Note: Using a dictionary and a list as the default arguments here is
-    # deliberate and safe in this instance.
-    def gen(next, data={}, cnt=[0]):
-        dpop = data.pop
-        for i in itertools.count():
-            if i == cnt[0]:
-                item = data[i] = next()
-                cnt[0] += 1
-            else:
-                item = dpop(i)
-            yield item
-    next = iter(iterable).next
-    return gen(next), gen(next)
-
-def groupby(iterable, keyfunc=None):
-    """
-    Taken from http://docs.python.org/lib/itertools-functions.html
-    """
-    if keyfunc is None:
-        keyfunc = lambda x:x
-    iterable = iter(iterable)
-    l = [iterable.next()]
-    lastkey = keyfunc(l[0])
-    for item in iterable:
-        key = keyfunc(item)
-        if key != lastkey:
-            yield lastkey, l
-            lastkey = key
-            l = [item]
-        else:
-            l.append(item)
-    yield lastkey, l
-
+# Fallback for Python 2.4, Python 2.5
 def product(*args, **kwds):
     """
     Taken from http://docs.python.org/library/itertools.html#itertools.product
@@ -58,18 +20,6 @@
     for prod in result:
         yield tuple(prod)
 
-# Not really in itertools, since it's a builtin in Python 2.4 and later, but it
-# does operate as an iterator.
-def reversed(data):
-    for index in xrange(len(data)-1, -1, -1):
-        yield data[index]
-
-if hasattr(itertools, 'tee'):
-    tee = itertools.tee
-else:
-    tee = compat_tee
-if hasattr(itertools, 'groupby'):
-    groupby = itertools.groupby
 if hasattr(itertools, 'product'):
     product = itertools.product
 
@@ -82,12 +32,6 @@
     else:
         return True
 
-def sorted(in_value):
-    "A naive implementation of sorted"
-    out_value = in_value[:]
-    out_value.sort()
-    return out_value
-
 def all(iterable):
     for item in iterable:
         if not item:
Index: django/utils/encoding.py
===================================================================
--- django/utils/encoding.py	(révision 13062)
+++ django/utils/encoding.py	(copie de travail)
@@ -3,15 +3,10 @@
 import locale
 import datetime
 import codecs
+from decimal import Decimal
 
 from django.utils.functional import Promise
 
-try:
-    from decimal import Decimal
-except ImportError:
-    from django.utils._decimal import Decimal # Python 2.3 fallback
-
-
 class DjangoUnicodeDecodeError(UnicodeDecodeError):
     def __init__(self, obj, *args):
         self.obj = obj
Index: django/contrib/formtools/utils.py
===================================================================
--- django/contrib/formtools/utils.py	(révision 13062)
+++ django/contrib/formtools/utils.py	(copie de travail)
@@ -32,7 +32,7 @@
     data.append(settings.SECRET_KEY)
 
     # Use HIGHEST_PROTOCOL because it's the most efficient. It requires
-    # Python 2.3, but Django requires 2.3 anyway, so that's OK.
+    # Python 2.3, but Django requires 2.4 anyway, so that's OK.
     pickled = pickle.dumps(data, pickle.HIGHEST_PROTOCOL)
 
     return md5_constructor(pickled).hexdigest()
Index: django/contrib/admin/options.py
===================================================================
--- django/contrib/admin/options.py	(révision 13062)
+++ django/contrib/admin/options.py	(copie de travail)
@@ -23,10 +23,6 @@
 from django.utils.translation import ugettext as _
 from django.utils.translation import ungettext, ugettext_lazy
 from django.utils.encoding import force_unicode
-try:
-    set
-except NameError:
-    from sets import Set as set     # Python 2.3 fallback
 
 HORIZONTAL, VERTICAL = 1, 2
 # returns the <ul> class for a given radio_admin field
Index: django/contrib/admin/actions.py
===================================================================
--- django/contrib/admin/actions.py	(révision 13062)
+++ django/contrib/admin/actions.py	(copie de travail)
@@ -12,10 +12,6 @@
 from django.utils.safestring import mark_safe
 from django.utils.text import capfirst
 from django.utils.translation import ugettext_lazy, ugettext as _
-try:
-    set
-except NameError:
-    from sets import Set as set     # Python 2.3 fallback
 
 def delete_selected(modeladmin, request, queryset):
     """
Index: django/contrib/admin/views/main.py
===================================================================
--- django/contrib/admin/views/main.py	(révision 13062)
+++ django/contrib/admin/views/main.py	(copie de travail)
@@ -9,11 +9,6 @@
 from django.utils.http import urlencode
 import operator
 
-try:
-    set
-except NameError:
-    from sets import Set as set   # Python 2.3 fallback
-
 # The system will display a "Show all" link on the change list only if the
 # total result count is less than or equal to this setting.
 MAX_SHOW_ALL_ALLOWED = 200
Index: django/contrib/admin/views/decorators.py
===================================================================
--- django/contrib/admin/views/decorators.py	(révision 13062)
+++ django/contrib/admin/views/decorators.py	(copie de travail)
@@ -2,7 +2,7 @@
 try:
     from functools import wraps
 except ImportError:
-    from django.utils.functional import wraps  # Python 2.3, 2.4 fallback.
+    from django.utils.functional import wraps  # Python 2.4 fallback.
 
 from django import http, template
 from django.conf import settings
Index: django/contrib/admin/sites.py
===================================================================
--- django/contrib/admin/sites.py	(révision 13062)
+++ django/contrib/admin/sites.py	(copie de travail)
@@ -14,10 +14,6 @@
 from django.utils.translation import ugettext_lazy, ugettext as _
 from django.views.decorators.cache import never_cache
 from django.conf import settings
-try:
-    set
-except NameError:
-    from sets import Set as set     # Python 2.3 fallback
 
 ERROR_MESSAGE = ugettext_lazy("Please enter a correct username and password. Note that both fields are case-sensitive.")
 LOGIN_FORM_KEY = 'this_is_the_login_form'
Index: django/contrib/auth/decorators.py
===================================================================
--- django/contrib/auth/decorators.py	(révision 13062)
+++ django/contrib/auth/decorators.py	(copie de travail)
@@ -1,7 +1,7 @@
 try:
     from functools import update_wrapper, wraps
 except ImportError:
-    from django.utils.functional import update_wrapper, wraps  # Python 2.3, 2.4 fallback.
+    from django.utils.functional import update_wrapper, wraps  # Python 2.4 fallback.
 
 from django.contrib.auth import REDIRECT_FIELD_NAME
 from django.http import HttpResponseRedirect
Index: django/contrib/auth/backends.py
===================================================================
--- django/contrib/auth/backends.py	(révision 13062)
+++ django/contrib/auth/backends.py	(copie de travail)
@@ -1,8 +1,3 @@
-try:
-    set
-except NameError:
-    from sets import Set as set # Python 2.3 fallback
-
 from django.db import connection
 from django.contrib.auth.models import User, Permission
 
Index: django/contrib/localflavor/br/forms.py
===================================================================
--- django/contrib/localflavor/br/forms.py	(révision 13062)
+++ django/contrib/localflavor/br/forms.py	(copie de travail)
@@ -10,11 +10,6 @@
 from django.utils.translation import ugettext_lazy as _
 import re
 
-try:
-    set
-except NameError:
-    from sets import Set as set     # For Python 2.3
-
 phone_digits_re = re.compile(r'^(\d{2})[-\.]?(\d{4})[-\.]?(\d{4})$')
 
 class BRZipCodeField(RegexField):
Index: django/contrib/messages/storage/fallback.py
===================================================================
--- django/contrib/messages/storage/fallback.py	(révision 13062)
+++ django/contrib/messages/storage/fallback.py	(copie de travail)
@@ -1,12 +1,7 @@
 from django.contrib.messages.storage.base import BaseStorage
 from django.contrib.messages.storage.cookie import CookieStorage
 from django.contrib.messages.storage.session import SessionStorage
-try:
-    set
-except NameError:
-    from sets import Set as set   # Python 2.3
 
-
 class FallbackStorage(BaseStorage):
     """
     Tries to store all messages in the first backend, storing any unstored
Index: tests/modeltests/or_lookups/models.py
===================================================================
--- tests/modeltests/or_lookups/models.py	(révision 13062)
+++ tests/modeltests/or_lookups/models.py	(copie de travail)
@@ -8,11 +8,6 @@
 clauses using the variable ``django.db.models.Q`` (or any object with an
 ``add_to_query`` method).
 """
-# Python 2.3 doesn't have sorted()
-try:
-    sorted
-except NameError:
-    from django.utils.itercompat import sorted
 
 from django.db import models
 
Index: tests/modeltests/aggregation/models.py
===================================================================
--- tests/modeltests/aggregation/models.py	(révision 13062)
+++ tests/modeltests/aggregation/models.py	(copie de travail)
@@ -1,11 +1,6 @@
 # coding: utf-8
 from django.db import models
 
-try:
-    sorted
-except NameError:
-    from django.utils.itercompat import sorted      # For Python 2.3
-
 class Author(models.Model):
     name = models.CharField(max_length=100)
     age = models.IntegerField()
@@ -48,10 +43,7 @@
 # Different backends and numbers.
 __test__ = {'API_TESTS': """
 >>> from django.core import management
->>> try:
-...     from decimal import Decimal
-... except:
-...     from django.utils._decimal import Decimal
+>>> from decimal import Decimal
 >>> from datetime import date
 
 # Reset the database representation of this app.
Index: tests/modeltests/basic/models.py
===================================================================
--- tests/modeltests/basic/models.py	(révision 13062)
+++ tests/modeltests/basic/models.py	(copie de travail)
@@ -4,18 +4,6 @@
 
 This is a basic model with only two non-primary-key fields.
 """
-# Python 2.3 doesn't have set as a builtin
-try:
-    set
-except NameError:
-    from sets import Set as set
-
-# Python 2.3 doesn't have sorted()
-try:
-    sorted
-except NameError:
-    from django.utils.itercompat import sorted
-
 from django.db import models, DEFAULT_DB_ALIAS
 
 class Article(models.Model):
Index: tests/modeltests/model_formsets/models.py
===================================================================
--- tests/modeltests/model_formsets/models.py	(révision 13062)
+++ tests/modeltests/model_formsets/models.py	(copie de travail)
@@ -2,11 +2,6 @@
 from django import forms
 from django.db import models
 
-try:
-    sorted
-except NameError:
-    from django.utils.itercompat import sorted
-
 class Author(models.Model):
     name = models.CharField(max_length=100)
 
Index: tests/modeltests/serializers/models.py
===================================================================
--- tests/modeltests/serializers/models.py	(révision 13062)
+++ tests/modeltests/serializers/models.py	(copie de travail)
@@ -6,11 +6,7 @@
 ``QuerySet`` objects to and from "flat" data (i.e. strings).
 """
 
-try:
-    from decimal import Decimal
-except ImportError:
-    from django.utils._decimal import Decimal # Python 2.3 fallback
-
+from decimal import Decimal
 from django.db import models
 
 class Category(models.Model):
Index: tests/regressiontests/model_inheritance_regress/models.py
===================================================================
--- tests/regressiontests/model_inheritance_regress/models.py	(révision 13062)
+++ tests/regressiontests/model_inheritance_regress/models.py	(copie de travail)
@@ -6,12 +6,6 @@
 
 from django.db import models
 
-# Python 2.3 doesn't have sorted()
-try:
-    sorted
-except NameError:
-    from django.utils.itercompat import sorted
-
 class Place(models.Model):
     name = models.CharField(max_length=50)
     address = models.CharField(max_length=80)
Index: tests/regressiontests/defaultfilters/tests.py
===================================================================
--- tests/regressiontests/defaultfilters/tests.py	(révision 13062)
+++ tests/regressiontests/defaultfilters/tests.py	(copie de travail)
@@ -580,12 +580,6 @@
 from django.template.defaultfilters import *
 import datetime
 
-# Python 2.3 doesn't have sorted()
-try:
-    sorted
-except NameError:
-    from django.utils.itercompat import sorted
-
 if __name__ == '__main__':
     import doctest
     doctest.testmod()
Index: tests/regressiontests/aggregation_regress/models.py
===================================================================
--- tests/regressiontests/aggregation_regress/models.py	(révision 13062)
+++ tests/regressiontests/aggregation_regress/models.py	(copie de travail)
@@ -4,11 +4,6 @@
 from django.db import connection, models, DEFAULT_DB_ALIAS
 from django.conf import settings
 
-try:
-    sorted
-except NameError:
-    from django.utils.itercompat import sorted      # For Python 2.3
-
 class Author(models.Model):
     name = models.CharField(max_length=100)
     age = models.IntegerField()
Index: tests/regressiontests/decorators/tests.py
===================================================================
--- tests/regressiontests/decorators/tests.py	(révision 13062)
+++ tests/regressiontests/decorators/tests.py	(copie de travail)
@@ -3,7 +3,7 @@
 try:
     from functools import wraps
 except ImportError:
-    from django.utils.functional import wraps  # Python 2.3, 2.4 fallback.
+    from django.utils.functional import wraps  # Python 2.4 fallback.
 
 from django.http import HttpResponse, HttpRequest
 from django.utils.functional import allow_lazy, lazy, memoize
Index: tests/regressiontests/forms/extra.py
===================================================================
--- tests/regressiontests/forms/extra.py	(révision 13062)
+++ tests/regressiontests/forms/extra.py	(copie de travail)
@@ -5,10 +5,7 @@
 >>> import datetime
 >>> import time
 >>> import re
->>> try:
-...     from decimal import Decimal
-... except ImportError:
-...     from django.utils._decimal import Decimal
+>>> from decimal import Decimal
 
 ###############
 # Extra stuff #
Index: tests/regressiontests/forms/fields.py
===================================================================
--- tests/regressiontests/forms/fields.py	(révision 13062)
+++ tests/regressiontests/forms/fields.py	(copie de travail)
@@ -28,6 +28,7 @@
 import time
 import re
 import os
+from decimal import Decimal
 
 from unittest import TestCase
 
@@ -35,12 +36,7 @@
 from django.forms import *
 from django.forms.widgets import RadioFieldRenderer
 
-try:
-    from decimal import Decimal
-except ImportError:
-    from django.utils._decimal import Decimal
 
-
 def fix_os_paths(x):
     if isinstance(x, basestring):
         return x.replace('\\', '/')
Index: tests/regressiontests/forms/forms.py
===================================================================
--- tests/regressiontests/forms/forms.py	(révision 13062)
+++ tests/regressiontests/forms/forms.py	(copie de travail)
@@ -5,10 +5,7 @@
 >>> import datetime
 >>> import time
 >>> import re
->>> try:
-...     from decimal import Decimal
-... except ImportError:
-...     from django.utils._decimal import Decimal
+>>> from decimal import Decimal
 
 #########
 # Forms #
Index: tests/regressiontests/forms/widgets.py
===================================================================
--- tests/regressiontests/forms/widgets.py	(révision 13062)
+++ tests/regressiontests/forms/widgets.py	(copie de travail)
@@ -7,10 +7,7 @@
 >>> import datetime
 >>> import time
 >>> import re
->>> try:
-...     from decimal import Decimal
-... except ImportError:
-...     from django.utils._decimal import Decimal
+>>> from decimal import Decimal
 >>> from django.utils.translation import activate, deactivate
 >>> from django.conf import settings
 
Index: tests/regressiontests/model_fields/tests.py
===================================================================
--- tests/regressiontests/model_fields/tests.py	(révision 13062)
+++ tests/regressiontests/model_fields/tests.py	(copie de travail)
@@ -1,5 +1,6 @@
 import datetime
 import unittest
+from decimal import Decimal
 
 import django.test
 from django import forms
@@ -8,12 +9,6 @@
 
 from models import Foo, Bar, Whiz, BigD, BigS, Image, BigInt, Post, NullBooleanModel, BooleanModel
 
-try:
-    from decimal import Decimal
-except ImportError:
-    from django.utils._decimal import Decimal
-
-
 # If PIL available, do these tests.
 if Image:
     from imagefield import \
Index: tests/regressiontests/model_fields/models.py
===================================================================
--- tests/regressiontests/model_fields/models.py	(révision 13062)
+++ tests/regressiontests/model_fields/models.py	(copie de travail)
@@ -1,11 +1,6 @@
 import os
 import tempfile
 
-try:
-    import decimal
-except ImportError:
-    from django.utils import _decimal as decimal    # Python 2.3 fallback
-
 # Try to import PIL in either of the two ways it can end up installed.
 # Checking for the existence of Image is enough for CPython, but for PyPy,
 # you need to check for the underlying modules.
Index: tests/regressiontests/admin_scripts/management/commands/base_command.py
===================================================================
--- tests/regressiontests/admin_scripts/management/commands/base_command.py	(révision 13062)
+++ tests/regressiontests/admin_scripts/management/commands/base_command.py	(copie de travail)
@@ -1,10 +1,5 @@
 from django.core.management.base import BaseCommand
 from optparse import make_option
-# Python 2.3 doesn't have sorted()
-try:
-    sorted
-except NameError:
-    from django.utils.itercompat import sorted
 
 class Command(BaseCommand):
     option_list = BaseCommand.option_list + (
Index: tests/regressiontests/admin_scripts/management/commands/label_command.py
===================================================================
--- tests/regressiontests/admin_scripts/management/commands/label_command.py	(révision 13062)
+++ tests/regressiontests/admin_scripts/management/commands/label_command.py	(copie de travail)
@@ -1,9 +1,4 @@
 from django.core.management.base import LabelCommand
-# Python 2.3 doesn't have sorted()
-try:
-    sorted
-except NameError:
-    from django.utils.itercompat import sorted
 
 class Command(LabelCommand):
     help = "Test Label-based commands"
Index: tests/regressiontests/admin_scripts/management/commands/app_command.py
===================================================================
--- tests/regressiontests/admin_scripts/management/commands/app_command.py	(révision 13062)
+++ tests/regressiontests/admin_scripts/management/commands/app_command.py	(copie de travail)
@@ -1,9 +1,4 @@
 from django.core.management.base import AppCommand
-# Python 2.3 doesn't have sorted()
-try:
-    sorted
-except NameError:
-    from django.utils.itercompat import sorted
 
 class Command(AppCommand):
     help = 'Test Application-based commands'
